> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ledgerトランザクションを使用してトークンをリクエストする

> Ledger署名済みトランザクション向けの代替トークンリクエスト。トランザクション内で`{signText}{time}`形式のメッセージに署名します。



## OpenAPI

````yaml /ja/api-reference/openapi/launch-auth-v1.yaml post /request-token-ledger
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    LaunchLabおよびForum
    APIのウォレット認証を管理します。ed25519ウォレット署名を検証した後、JWTトークンを発行します。トークンはForum
    APIにコメントを投稿したりコンテンツを管理したりするために必須です。
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: 認証トークンのリクエストと検証
  - name: Utilities
    description: ヘルスチェックエンドポイント
paths:
  /request-token-ledger:
    post:
      tags:
        - Token Management
      summary: Ledgerトランザクションを使用してトークンをリクエストする
      description: >-
        Ledger署名済みトランザクション向けの代替トークンリクエスト。トランザクション内で`{signText}{time}`形式のメッセージに署名します。
      operationId: postRequestTokenLedger
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - transaction
                - wallet
              properties:
                time:
                  type: integer
                  description: Unixタイムスタンプ（秒単位）
                  example: 1704067200
                transaction:
                  type: string
                  description: 署名済みメッセージを含むSolanaトランザクション（base64エンコード）
                wallet:
                  type: string
                  description: Solanaウォレットの公開鍵
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: トークンが正常に発行されました
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string

````